﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CS_YT_Playlist_Vererbung_Beispiel3
{ 
    enum Typ { PNG, JPEG, BMP}

    abstract class Datei
    {
        public string Name { get; private set; }
        public Datei(string _name)
        {
            Name = _name;
        }

        public abstract string Ausgeben();
    }

    class Textdatei:Datei
    {
        public string Inhalt { get; private set; }
        public Textdatei(string _datei, string _inhalt):base(_datei)
        {
            Inhalt = _inhalt;
        }

        public override string Ausgeben()
        {
            return "Textdatei: " + Name + "|" + Inhalt;
        }
    }

    class Bilddatei:Datei
    {
        public Typ Format { get; private set; }
        public Bilddatei(string _name, Typ _format):base(_name)
        {
            Format = _format;
        }

        public override string Ausgeben()
        {
            return "Bilddatei: " + Format + " bitte mit Paint öffnen";
        }
    }
    internal class Program
    {
        static void Main(string[] args)
        {
            Datei d1 = new Textdatei("File.txt", "Hallo Welt");
            Datei d2 = new Bilddatei("Bild.bmp", Typ.BMP);
            Console.WriteLine(d1.Ausgeben());
        Console.WriteLine(d2.Ausgeben());
        }
    }
}
